{{<partials-page}} {{$head}} {{> partials-head}}
  <noscript>
    <meta http-equiv="refresh" content="{{sessionTimeOut}};url='/session-timeout'" />
  </noscript>
  {{/head}}
  {{$pageTitle}}
  {{#errorlist.length}}{{#t}}pages.error-in-title{{/t}}{{/errorlist.length}} 
  {{#extraInfoMaxFileUpload}}{{#t}}pages.error-in-title{{/t}} {{/extraInfoMaxFileUpload}} 
  {{#evidenceDeleteErrorMessage}}{{#t}}pages.error-in-title{{/t}} {{/evidenceDeleteErrorMessage}} 
  
  {{#t}}pages.{{step}}.pageTitle{{/t}}
  {{/pageTitle}}
  {{$page-content}}
  {{#extraInfoMaxFileUpload}}
  <div class="govuk-error-summary" aria-labelledby="error-summary-title" data-module="govuk-error-summary" role="alert"
    tabindex="-1" autofocus>
    <h2 class="govuk-error-summary__title" id="error-summary-title">There is a problem</h2>
    <div class="govuk-error-summary__body">
      <ul class="govuk-list govuk-error-summary__list">
        <li><a href="#filecountValidation"> {{#t}}validation.{{step}}.filecount{{/t}} </a></li>
      </ul>
    </div>
  </div>
  {{/extraInfoMaxFileUpload}}

  {{#evidenceDeleteErrorMessage}}
  <div class="govuk-error-summary" aria-labelledby="error-summary-title" data-module="govuk-error-summary" role="alert"
    tabindex="-1" autofocus>
    <h2 class="govuk-error-summary__title" id="error-summary-title">There is a problem</h2>
    <div class="govuk-error-summary__body">
      <ul class="govuk-list govuk-error-summary__list">
        <li><a href="#evidenceDeleteErrorValidation">{{evidenceDeleteErrorMessage}}</a></li>
      </ul>
    </div>
  </div>
  {{/evidenceDeleteErrorMessage}}




  {{#evidenceDeletedInfo}}
  <div class="govuk-notification-banner govuk-notification-banner--success" role="alert" aria-labelledby="govuk-notification-banner-title" data-module="govuk-notification-banner" tabindex="-1" autofocus>
    <div class="govuk-notification-banner__header">
      <h2 class="govuk-notification-banner__title" id="govuk-notification-banner-title">
        Success
      </h2>
    </div>
    <div class="govuk-notification-banner__content">
      <p class="govuk-body break-word">File named {{fileName}} has been deleted</p>
    </div>
  </div>
  {{/evidenceDeletedInfo}}

  <div id="uploaded-files-evidence">
    <span class="govuk-caption-l">{{#t}}pages.claim.subHeading{{/t}}</span>
    <h1 id="page-header" class="govuk-heading-l">  {{#t}}pages.{{step}}.title{{/t}}</h1>
   
    <h2 class="govuk-heading-m">{{#t}}pages.{{step}}.filesaddedText{{/t}}</h2>

    {{#extraInfoMaxFileUpload}}
    <div id="filecount-error" class="govuk-form-group govuk-form-group--error">
      {{/extraInfoMaxFileUpload}}
      {{#evidenceDeleteErrorMessage}}
      <div id="filecount-error" class="govuk-form-group govuk-form-group--error">
        {{/evidenceDeleteErrorMessage}}

      {{#ehicUploadFile}}
      <h2 class="govuk-heading-m" id="fileAdded">{{#t}}pages.{{step}}.fileAdded{{/t}}</h2>
      {{/ehicUploadFile}}

      {{#extraInfoMaxFileUpload}}
      <span id="filecountValidation" class="govuk-error-message">
        <span class="govuk-visually-hidden">Error:</span>
        {{#t}}validation.{{step}}.filecount{{/t}}
        {{#evidenceDeleteErrorMessage}}{{evidenceDeleteErrorMessage}}{{/evidenceDeleteErrorMessage}}
      </span>
      {{/extraInfoMaxFileUpload}}

      {{#evidenceDeleteErrorMessage}}
      <span id="evidenceDeleteErrorValidation" class="govuk-error-message">
        <span class="govuk-visually-hidden">Error:</span>
        {{evidenceDeleteErrorMessage}}
      </span>
      {{/evidenceDeleteErrorMessage}}

      <dl class="govuk-summary-list">

        {{#uploadedFileEvidence}}
        <div class="govuk-summary-list__row">
          <dt class="govuk-summary-list__key">
            {{#t}}pages.{{step}}.files{{/t}} {{srNo}}
          </dt>
          <dd class="govuk-summary-list__value">
            {{fileName}}
          </dd>
          <dd class="govuk-summary-list__actions">
            <a class="govuk-link" href="{{baseUrl}}/delete-evidence-extra-info?fileId={{fileId}}" id="delete-evidence-{{srNo}}">
              Delete<span class="govuk-visually-hidden"> file {{srNo}}</span>
            </a>
          </dd>
        </div>
        {{/uploadedFileEvidence}}
      </dl>
      {{#extraInfoMaxFileUpload}}
    </div>
    {{/extraInfoMaxFileUpload}}

    {{#evidenceDeleteErrorMessage}}
    </div>
    {{/evidenceDeleteErrorMessage}}

    <div class="govuk-form-group">
      <legend class="govuk-fieldset__legend govuk-fieldset__legend--m">
        <h2 class="govuk-fieldset__heading">
          {{#t}}pages.{{step}}.questionLegend{{/t}}
        </h2>
      </legend>

      {{#fields}}
      {{#renderField}}{{/renderField}}
      {{/fields}}
    </div>
    {{#input-submit}}continue {{#id}}{{id}}-button{{/id}}{{/input-submit}}
  </div>
  {{>partials-session-timeout-popup}}
  {{/page-content}}
  {{/partials-page}}